/* Copyright (C) 2006-2017 Michel Gutierrez <mig@downloadhelper.net>
 * All Rights Reserved
 * 
 * If you are interested in methods used in this project, follow the
 * open source project at https://github.com/mi-g/fang
 */


var configElem = document.getElementById("configuration");

if(configElem && configElem.firstChild) {
	try {
		var config = JSON.parse(configElem.firstChild.nodeValue);
		if(config.post) {
			window.postMessage({
				fromContent: true,
				type: 'tbvv-video-data',
				data: config.post,
				pageUrl: window.location.href,
				topUrl: document.referrer
			},'*');
		}
	} catch(e) {
	}
}

