/* Copyright (C) 2006-2017 Michel Gutierrez <mig@downloadhelper.net>
 * All Rights Reserved
 * 
 * If you are interested in methods used in this project, follow the
 * open source project at https://github.com/mi-g/fang
 */


(function() {
	var wWidth = content.window.innerWidth;
	var wHeight = content.window.innerHeight;
	var ratio = wHeight/wWidth;

	var maxWidth = 60;
	var maxHeight = 48;

	var oHeight = maxHeight;
	var oWidth = Math.round(maxHeight / ratio);
	if(oWidth>maxWidth) {
		oWidth = maxWidth;
		oHeight = Math.round(oWidth * ratio);
	}

	var canvas = content.document.createElementNS("http://www.w3.org/1999/xhtml", "html:canvas");
	canvas.width = wWidth;
	canvas.height = wHeight;
	var context = canvas.getContext("2d");
	context.drawWindow(content, 0, 0, wWidth, wHeight, "rgb(255,255,255)");

	var oCanvas = content.document.createElementNS("http://www.w3.org/1999/xhtml", "html:canvas");
	oCanvas.width = oWidth;
	oCanvas.height = oHeight;
	var oContext = oCanvas.getContext("2d");
	oContext.drawImage(canvas, 0, 0, wWidth, wHeight, 0, 0, oWidth, oHeight);

	sendAsyncMessage("vdh-screenshot", {
		type: "screenshot",
		image: oCanvas.toDataURL(),
	});
})();
