/* Copyright (C) 2006-2017 Michel Gutierrez <mig@downloadhelper.net>
 * All Rights Reserved
 * 
 * If you are interested in methods used in this project, follow the
 * open source project at https://github.com/mi-g/fang
 */


var playerContainer = document.getElementById("playerContainer");

var data = JSON.parse(playerContainer.getAttribute("data-config"));

var message = {
	fromContent: true,
	type: 'tbts-video-data',
	url: document.URL,
	picture: data.status && data.status.entities && data.status.entities.media && data.status.entities.media.length &&
		( data.status.entities.media[0].media_url_https || data.status.entities.media[0].media_url ),
	title: data.videoInfo && data.videoInfo.title,
	publisher: data.videoInfo && data.videoInfo.publisher && data.videoInfo.publisher.name,
}
window.postMessage(message,'*');
